---
- name: Reboot warning
  ansible.builtin.debug:
    msg: "{{ item['msg-log'] | default('Initiating server reboot') }}"
  with_items: >-
     {{ win_resource_item['resources'] | default([win_resource_item]) }}
  loop_control:
    label: "{{ ansible_hostname }} tags {{ item['tags'] }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
    - >-
      (item['tags'] is undefined) or (item['tags']
      | intersect(ansible_run_tags)
      | length > 0)
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_reboot

- name: Reboot Windows
  ansible.windows.win_reboot:
    boot_time_command: "{{ item['boot_time_command'] | default(omit) }}"
    connect_timeout: "{{ item['connect_timeout'] | default(omit) }}"
    msg: "{{ item['msg'] | default(omit) }}"
    post_reboot_delay: "{{ item['post_reboot_delay'] | default(omit) }}"
    pre_reboot_delay: "{{ item['pre_reboot_delay'] | default(omit) }}"
    reboot_timeout: "{{ item['reboot_timeout'] | default(omit) }}"
    test_command: "{{ item['test_command'] | default(omit) }}"
  retries: "{{ item['retries'] | default(60) }}"
  delay: "{{ item['delay'] | default(10) }}"
  register: win_resource_item_results
  with_items: >-
     {{ win_resource_item['resources'] | default([win_resource_item]) }}
  loop_control:
    label: "{{ ansible_hostname }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
    - >-
      (item['tags'] is undefined) or (item['tags']
      | intersect(ansible_run_tags)
      | length > 0)
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_reboot
